%define major		7
%define libname		%mklibname matroska %{major}
%define develname	%mklibname matroska -d

Summary:	Matroska Audio/Video file format library
Name:		libmatroska
Version:	1.7.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.matroska.org/
Source0:	http://dl.matroska.org/downloads/libmatroska/%{name}-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	lib64ebml-devel

%description
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachement, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

%package -n	%{libname}
Summary:	Matroska Audio/Video file format shared library
Group:		System/Libraries

%description -n	%{libname}
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachement, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

%package -n	%{develname}
Group:		Development/Libraries
Summary:	Matroska Audio/Video file format headers and static library
Requires:	%{libname} = %{version}
Provides:	libmatroska-devel = %{version}-%{release}

%description -n	%{develname}
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachement, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

This package contains the C++ headers and the static library needed
for development with Matroska.

%prep
%setup -q

%build
%cmake
%make_build

%install
rm -rf %buildroot
%make_install -C build

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%{_includedir}/matroska
%{_libdir}/lib*.so
%{_libdir}/cmake/Matroska/
%{_libdir}/pkgconfig/libmatroska.pc

%changelog
* Mon Oct 10 2022 tex - 1.7.1-1pclos2022
- new version

* Thu Mar 11 2021 tex - 1.6.3-1pclos2021
- new version

* Thu Aug 27 2020 tex - 1.6.2-1pclos2020
- new version
